# $Revision: 1.39 $, $Date: 2009/06/18 12:04:34 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	Modlist
Summary:	Devel::Modlist - collect module use information
Summary(pl.UTF-8):	Devel::Modlist - gromadzenie informacji o używanych modułach
Name:		perl-Devel-Modlist
Version:	0.801
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f636cc3580d0129c89421226034d7738
URL:		http://search.cpan.org/dist/Devel-Modlist/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::Modlist utility is provided as a means by which to get a
quick run-down on which libraries and modules are being utilized by a
given script.

%description -l pl.UTF-8
Narzędzie Devel::Modlist służy jako środek do szybkiego pobierania
informacji o tym, które biblioteki i moduły są wykorzystywane przez
zadany skrypt.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Devel/Modlist.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-Modlist.spec,v $
Revision 1.39  2009/06/18 12:04:34  amateja
- updated to 0.801

Revision 1.38  2008/07/27 22:33:08  arekm
- release 2

Revision 1.37  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.35  2006/07/27 17:20:31  glen
- 0.7, generic URL

Revision 1.34  2004/11/03 22:30:18  paladine
- formatting

Revision 1.33  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.32  2004/05/06 18:09:30  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 21:51:53  ankry
- cosmetics: unification

Revision 1.30  2004/04/20 11:34:47  ankry
- summary/description/license fixes

Revision 1.29  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:42  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:34  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:31:30  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.20  2002/07/11 07:58:47  depesz
- new version; should work; STBR

Revision 1.19  2002/07/10 08:47:01  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:30:58  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:11:33  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:25:32  depesz
adapterized

Revision 1.13  2002/01/18 02:14:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:08:03  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/31 01:18:00  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/22 08:11:11  kloczek
- updated to 0.4.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 21:24:39  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:16  pius
- initial release
